#!/bin/sh

Xdialog --title "MENU BOX" \
        --no-tags \
        --menu "Hi, this is a menu box. You can use this to\n\
present a list of choices for the user to\n\
choose. If there are more items than can fit\n\
on the screen, the menu will be scrolled.\n\
Try it now!\n\n\
Choose the OS you like:" 34 50 6 \
        "dpmsoff.sh"  "To turn dhcp Off" \
        "dpmson.sh" "To turn dhcp on" \
        "dpmssuspend.sh" "   Set dpms options" \
        "screensaveroff.sh" "To turn off screen saver." \
        "screensaveron.sh"  "To turn on your screen saver" \
        "belloff.sh"  "To turn off your bell" \
        "bellon.sh"  "To turn on your bell" \
        "keyclickoff.sh"  "To turn off key click" \
        "keyclickon.sh"  "To turn on key click" \
        "autorepeatoff.sh"  "To turn off key repeat" \
        "autorepeaton.sh"  "To turn on key repeat" \
        "keyrate.sh"  "   To to set key rate" \
        "mousesetting.sh"  "Mouse settings" 2> /tmp/menu.tmp.$$

retval=$?
choice=`cat /tmp/menu.tmp.$$`
rm -f /tmp/menu.tmp.$$

case $retval in
  0)
    exec "$choice";;
  1)
    echo "Cancel pressed.";;
  255)
    echo "Box closed.";;
esac